package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_DATAAREA_SECRETKEY_RELATION"
)
public class TCoreDataareaSecretkeyRelation extends TBaseEntity {
   @Column(
      length = 50
   )
   private String enc_name;
   @Column(
      length = 50
   )
   private String encryption_id;
   @Column(
      length = 50
   )
   private String secretkey_id;
   @Column(
      length = 50
   )
   private String dataarea_id;
   @Column(
      length = 1
   )
   private String defaulttype;

   public String getEnc_name() {
      return this.enc_name;
   }

   public String getEncryption_id() {
      return this.encryption_id;
   }

   public String getSecretkey_id() {
      return this.secretkey_id;
   }

   public String getDataarea_id() {
      return this.dataarea_id;
   }

   public String getDefaulttype() {
      return this.defaulttype;
   }

   public void setEnc_name(final String enc_name) {
      this.enc_name = enc_name;
   }

   public void setEncryption_id(final String encryption_id) {
      this.encryption_id = encryption_id;
   }

   public void setSecretkey_id(final String secretkey_id) {
      this.secretkey_id = secretkey_id;
   }

   public void setDataarea_id(final String dataarea_id) {
      this.dataarea_id = dataarea_id;
   }

   public void setDefaulttype(final String defaulttype) {
      this.defaulttype = defaulttype;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TCoreDataareaSecretkeyRelation)) {
         return false;
      } else {
         TCoreDataareaSecretkeyRelation other = (TCoreDataareaSecretkeyRelation)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$enc_name = this.getEnc_name();
            Object other$enc_name = other.getEnc_name();
            if (this$enc_name == null) {
               if (other$enc_name != null) {
                  return false;
               }
            } else if (!this$enc_name.equals(other$enc_name)) {
               return false;
            }

            Object this$encryption_id = this.getEncryption_id();
            Object other$encryption_id = other.getEncryption_id();
            if (this$encryption_id == null) {
               if (other$encryption_id != null) {
                  return false;
               }
            } else if (!this$encryption_id.equals(other$encryption_id)) {
               return false;
            }

            Object this$secretkey_id = this.getSecretkey_id();
            Object other$secretkey_id = other.getSecretkey_id();
            if (this$secretkey_id == null) {
               if (other$secretkey_id != null) {
                  return false;
               }
            } else if (!this$secretkey_id.equals(other$secretkey_id)) {
               return false;
            }

            Object this$dataarea_id = this.getDataarea_id();
            Object other$dataarea_id = other.getDataarea_id();
            if (this$dataarea_id == null) {
               if (other$dataarea_id != null) {
                  return false;
               }
            } else if (!this$dataarea_id.equals(other$dataarea_id)) {
               return false;
            }

            Object this$defaulttype = this.getDefaulttype();
            Object other$defaulttype = other.getDefaulttype();
            if (this$defaulttype == null) {
               if (other$defaulttype != null) {
                  return false;
               }
            } else if (!this$defaulttype.equals(other$defaulttype)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TCoreDataareaSecretkeyRelation;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $enc_name = this.getEnc_name();
      result = result * 59 + ($enc_name == null ? 43 : $enc_name.hashCode());
      Object $encryption_id = this.getEncryption_id();
      result = result * 59 + ($encryption_id == null ? 43 : $encryption_id.hashCode());
      Object $secretkey_id = this.getSecretkey_id();
      result = result * 59 + ($secretkey_id == null ? 43 : $secretkey_id.hashCode());
      Object $dataarea_id = this.getDataarea_id();
      result = result * 59 + ($dataarea_id == null ? 43 : $dataarea_id.hashCode());
      Object $defaulttype = this.getDefaulttype();
      result = result * 59 + ($defaulttype == null ? 43 : $defaulttype.hashCode());
      return result;
   }

   public String toString() {
      return "TCoreDataareaSecretkeyRelation(enc_name=" + this.getEnc_name() + ", encryption_id=" + this.getEncryption_id() + ", secretkey_id=" + this.getSecretkey_id() + ", dataarea_id=" + this.getDataarea_id() + ", defaulttype=" + this.getDefaulttype() + ")";
   }
}
